Restore Environment (v1)

Restores an environment using an environment backup generated by the daily maintenance process.

Use this API to recover an environment after a crash or data loss caused by application changes, when backups you created are not sufficient for recovery.

Additionally, the restore operation can:

  • Restore users and their application role assignments.
  • Reset the environment’s daily maintenance start time to the value captured in the backup.
  • Restore the contents of the inbox and outbox, and stored snapshots, to match the backup.

Required Roles

Service Administrator

Any application role and Migrations – Administer granular role

REST Resource

POST /interop/rest/v1/services/restoreenvironment

Request

Supported Media Types: application/json

Table 2-191 Parameters

Name Description Type Required Default
backupName The environment backup name to restore. Payload Yes None
usersAndPreDefinedRoles If true, restores users and their assigned roles in the environment. To perform this operation, you must have the Identity Domain Administrator role. Payload No false.
dailyMaintenanceStartTime If true, restores the environment’s daily maintenance start time from the backup. To keep the current maintenance start time, set to false. Payload No true
storedSnapshotsAndFiles If true, restores stored snapshots and files from inbox and outbox. Payload No false

Sample Request Payload

 {
      "backupName": "2026-04-23T08:48:06/Environment_Backup",
      "parameters": {
      "usersAndPreDefinedRoles": "false",
      "storedSnapshotsAndFiles": "true",
      "dailyMaintenanceStartTime": "true"
      }
   }

Response

Supported Media Types: application/json

Table 2-192 Parameters

Name Description
details In the case of errors, details are published with the error string
status See Migration Status Codes
links Detailed information about the link
href Links to API call or status API
action The HTTP call type
rel Possible values: self or Job Status. If the value is set to Job Status, you can use the href to get the restore environment.
intermittentStatus Status of each step performed; can be polled regularly from the job status URL

Example of Response Body

{
    "details": null,
    "status": -1,
    "items": null,
    "links": [
        {
            "href": "https://<BASE-URL>/interop/rest/v1/services/restoreenvironment/status/1776935926050",
            "action": "GET",
            "rel": "Job Status",
            "data": null
        }
    ],
    "intermittentStatus": null
}

Example of Response Body (In Progress)

{
    "details": "",
    "status": -1,
    "items": null,
    "links": null,
    "intermittentStatus": [
        {
            "Restoring Environment Backup": "In Progress"
        }
    ]
}

Example of Response Body (Completed Successfully)

{
    "details": "Environment backup restored successfully",
    "status": 0,
    "items": null,
    "links": null,
    "intermittentStatus": [
        {
            "Restoring Environment Backup": "Success"
        },
        {
            "Importing users and predefined roles": "NA"
        },
        {
            "Uploading stored snapshots and files": "Success"
        },
        {
            "Setting daily maintenance start time to that of the backup": "Success"
        }
    ]
}

Sample cURL Command

curl -s -u <USERNAME>:<PASSWORD> -H 'Content-Type: application/json' --request POST https://<BASE-URL>/interop/rest/v1/services/restoreenvironment -d '{ "backupName": "2026-03-15T06:40:34/Environment_Backup", "parameters": { "usersAndPreDefinedRoles": false, "dailyMaintenanceStartTime": true, "storedSnapshotsAndFiles": false } }'